class CreatePShipBillLines < ActiveRecord::Migration[6.0]
  def change
    create_table :p_ship_bill_lines do |t|
      t.references   :p_ship_bill,   index: true
      t.string       :name
      t.text         :description
      t.decimal      :qte,   :precision => 14,   :scale => 2
      t.decimal      :price,   :precision => 14,   :scale => 2
      t.decimal      :a_ok_total,   :precision => 14,   :scale => 2
      t.boolean      :paid,   :default => false
      t.date         :paid_at

      t.timestamps
    end
  end
end
